Skip to main content
POST
Archive Agent
Every request requires ?beta=true.

Authorizations

X-Api-Key
string
header
default:sk-ant-local-default
required

OMA workspace API key.

Headers

anthropic-version
string

The OMA API compatibility version to use.

anthropic-beta
string

Beta header that enables the Managed Agents API contract.

Path Parameters

agent_id
string
required

Path parameter agent_id

Query Parameters

beta
enum<boolean>
required

Selects the beta API contract for this endpoint. Must be true.

Available options:
true

Response

Successful response (OK)

A Managed Agents agent.

id
string
required
Example:

"agent_011CZkYpogX7uDKUyvBTophP"

archived_at
string<date-time> | null
required

When the agent was archived. Null if not archived.

Example:

null

created_at
string<date-time>
required

A timestamp in RFC 3339 format

Example:

"2026-03-15T10:00:00Z"

description
string | null
required
Example:

"A general-purpose starter agent."

mcp_servers
object[]
required
Example:
metadata
object
required
Example:
model
object
required

Model identifier and configuration.

Example:
multiagent
object | null
required

Multiagent orchestration configuration. Null when the agent is single-threaded.

Example:
name
string
required
Example:

"My First Agent"

skills
object[]
required

Resolved skill as returned in API responses.

Example:
Example:
system
string | null
required
Example:

"You are a general-purpose agent that can research, write code, run commands, and use connected tools to complete the user's task end to end."

tools
object[]
required

Union type for tool configurations returned in API responses.

Example:
type
enum<string>
required
Available options:
agent
Example:

"agent"

updated_at
string<date-time>
required

A timestamp in RFC 3339 format

Example:

"2026-03-15T10:00:00Z"

version
integer<int32>
required

The agent's current version. Starts at 1 and increments when the agent is modified.

Example:

1